<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 * @package Wellness_Coach_Lite
 */

$error_404_image = get_theme_mod( 'error_404_image', esc_url( get_template_directory_uri() . '/images/error404-img.jpg' ) );

get_header(); ?>

	<div class="page-header">
		<div class="container">				
			<section class="error-404 not-found">
				<div class="error-404-content-wrapper">
					<div class="error404-grid">
						<?php if( $error_404_image ) : ?>
							<figure class="error-img">
								<img src="<?php echo esc_url( $error_404_image ); ?>" alt="<?php esc_attr_e( 'error image', 'wellness-coach-lite' ); ?>">
							</figure>
						<?php endif; ?>
						<div class="page-content">
							<span class="error404-text"><?php esc_html_e( 'Oops 404 error', 'wellness-coach-lite' ); ?></span>
							<h1 class="page-title"><?php esc_html_e( 'Page not found.', 'wellness-coach-lite' ); ?></h1>
							<p><?php esc_html_e( 'The page you are looking for my have been moved, deleted, or possibly never existed.', 'wellness-coach-lite' ); ?></p>
							<a class="wc-btn wc-btn-two" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Go To Homepage', 'wellness-coach-lite' ); ?></a>
						</div><!-- .page-content -->
					</div>
					<div class="error-404-search">
						<?php get_search_form(); ?>
					</div>
				</div>
			</section><!-- .error-404 -->
		</div>
	</div>

	<div class="container">
		<div class="page-grid">
			<!-- content area -->
			<div id="primary" class="content-area">                 
				<?php 
					/**
					* @see wellness_coach_lite_latest_posts
					*/
					do_action( 'wellness_coach_lite_latest_posts' );
				?>			
			</div><!-- .content-area -->
		</div>
	</div>
	
<?php
get_footer();