<?php
/**
 * Wellness Coach Lite Customizer Partials
 *
 * @package Wellness_Coach_Lite
 */

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function wellness_coach_lite_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function wellness_coach_lite_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if( ! function_exists( 'wellness_coach_lite_get_slider_readmore' ) ) :
/**
 * Slider Read More
*/
function wellness_coach_lite_get_slider_readmore(){
    return get_theme_mod( 'slider_readmore', __( 'Read More', 'wellness-coach-lite' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_testimonial_title' ) ) :
/**
 * Testimonial Title
*/
function wellness_coach_lite_get_testimonial_title(){
    return esc_html( get_theme_mod( 'testimonial_title', __( 'Testimonials', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_testimonial_btn_label' ) ) :
/**
 * Testimonial Title
*/
function wellness_coach_lite_get_testimonial_btn_label(){
    return esc_html( get_theme_mod( 'testimonial_slider_btn_label', __( 'View All Testimonial', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_testimonial_content' ) ) :
/**
 * Testimonial Title
*/
function wellness_coach_lite_get_testimonial_content(){
    return esc_html( get_theme_mod( 'testimonial_content' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_blog_title_selective_refresh' ) ) :
/**
 * Blog Title
*/
function wellness_coach_lite_blog_title_selective_refresh(){
    return esc_html( get_theme_mod( 'blog_section_title', __( 'Latest Articles', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_blog_description_selective_refresh' ) ) :
/**
 * Blog Description
*/
function wellness_coach_lite_blog_description_selective_refresh(){
    return esc_html( get_theme_mod( 'blog_section_subtitle' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_blog_read_more_btn' ) ) :
/**
 * Blog Read More
*/
function wellness_coach_lite_get_blog_read_more_btn(){
    return esc_html( get_theme_mod( 'blog_readmore', __( 'Read More', 'wellness-coach-lite' ) ) );
}
endif;


if( ! function_exists( 'wellness_coach_lite_get_blog_view_all_btn' ) ) :
/**
 * Blog View All
*/
function wellness_coach_lite_get_blog_view_all_btn(){
    return esc_html( get_theme_mod( 'blog_view_all', __( 'View All Posts', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_read_more' ) ) :
/**
 * Display blog readmore button
*/
function wellness_coach_lite_get_read_more(){
    return esc_html( get_theme_mod( 'read_more_text', __( 'Read More', 'wellness-coach-lite' ) ) );    
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_header_phone' ) ) :
/**
 * Header Phone Num
*/
function wellness_coach_lite_get_header_phone(){
    return esc_html( get_theme_mod( 'phone' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_header_email' ) ) :
/**
 * Header Phone Email
*/
function wellness_coach_lite_get_header_email(){
    return esc_html( get_theme_mod( 'email' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_header_contact_button' ) ) :
/**
 * Header Phone Contact btn
*/
function wellness_coach_lite_get_header_contact_button(){
    return esc_html( get_theme_mod( 'header_contact_button' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_banner_title' ) ) :
/**
 * Banner Title
*/
function wellness_coach_lite_get_banner_title(){
    return esc_html( get_theme_mod( 'banner_title' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_banner_subtitle' ) ) :
/**
 * Banner Subtitle
*/
function wellness_coach_lite_get_banner_subtitle(){
    return esc_html( get_theme_mod( 'banner_subtitle' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_banner_content' ) ) :
/**
 * Banner Content
*/
function wellness_coach_lite_get_banner_content(){
    return wp_kses_post( wpautop( get_theme_mod( 'banner_content' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_banner_button_one' ) ) :
/**
 * Banner button one
*/
function wellness_coach_lite_get_banner_button_one(){
    return esc_html( get_theme_mod( 'button_one' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_banner_button_two' ) ) :
/**
 * Banner button two
*/
function wellness_coach_lite_get_banner_button_two(){
    return esc_html( get_theme_mod( 'button_two' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_service_title' ) ) :
/**
 * Service section title
*/
function wellness_coach_lite_get_service_title(){
    return esc_html( get_theme_mod( 'service_title', __( 'Health Coach\'s Benefits', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_service_content' ) ) :
/**
 * Service section description
*/
function wellness_coach_lite_get_service_content(){
    return esc_html( get_theme_mod( 'service_content' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_service_two_title' ) ) :
/**
 * Service two section title
*/
function wellness_coach_lite_get_service_two_title(){
    return esc_html( get_theme_mod( 'service_two_title', __( 'Services', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_service_two_content' ) ) :
/**
 * Service two section description
*/
function wellness_coach_lite_get_service_two_content(){
    return esc_html( get_theme_mod( 'service_two_content' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_service_two_button' ) ) :
/**
 * Service two button
*/
function wellness_coach_lite_get_service_two_button(){
    return esc_html( get_theme_mod( 'service_two_button', __( 'View All Services', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_author_title' ) ) :
/**
 * Display blog readmore button
*/
function wellness_coach_lite_get_author_title(){
    return esc_html( get_theme_mod( 'author_title', __( 'About The Author', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_related_title' ) ) :
/**
 * Display blog readmore button
*/
function wellness_coach_lite_get_related_title(){
    return esc_html( get_theme_mod( 'related_post_title', __( 'You may also like...', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_footer_copyright' ) ) :
/**
 * Footer Copyright
*/
function wellness_coach_lite_get_footer_copyright(){
    $copyright = get_theme_mod( 'footer_copyright' );
    echo '<span class="copyright">';
    if( $copyright ){
        echo wp_kses_post( $copyright );
    }else{
        esc_html_e( '&copy; Copyright ', 'wellness-coach-lite' );
        echo date_i18n( esc_html__( 'Y', 'wellness-coach-lite' ) );
        echo ' <a href="' . esc_url( home_url( '/' ) ) . '">' . esc_html( get_bloginfo( 'name' ) ) . '</a>. ';
        esc_html_e( 'All Rights Reserved. ', 'wellness-coach-lite' );
    }
    echo '</span>'; 
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_benefits_btn_label' ) ) :
/**
 * Resource Description
*/
function wellness_coach_lite_get_benefits_btn_label(){
    return esc_html( get_theme_mod( 'benefits_view_all_btn_label', __( 'View All Benefits', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_blog_main_title' ) ) :
/**
 * Resource Description
*/
function wellness_coach_lite_get_blog_main_title(){
    return esc_html( get_theme_mod( 'blog_main_title', __( 'From My Blog', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_blog_main_content' ) ) :
/**
 * Resource Description
*/
function wellness_coach_lite_get_blog_main_content(){
    return esc_html( get_theme_mod( 'blog_main_content' ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_top_pick_label' ) ) :
/**
 * Resource Description
*/
function wellness_coach_lite_get_top_pick_label(){
    return esc_html( get_theme_mod( 'top_pick_label', __( 'Top Picks', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_feature_title' ) ) :
    /**
     * Feature section frontpage
     */
function wellness_coach_lite_get_feature_title(){
    return esc_html( get_theme_mod( 'feature_title', __( 'Health Coach Features', 'wellness-coach-lite' ) ) );
}
endif;

if( ! function_exists( 'wellness_coach_lite_get_feature_content' ) ) :
    /**
     * Feature section frontpage
     */
function wellness_coach_lite_get_feature_content(){
    return esc_html( get_theme_mod( 'feature_content' ) );
}
endif;

if( ! function_exists( 'wellness_coach_get_featured_title' ) ) :
/**
 * Display blog featured post title
*/
function wellness_coach_get_featured_title(){
    return esc_html( get_theme_mod( 'featured_post_title', __( 'FEATURED', 'wellness-coach-lite' ) ) );    
}
endif;

if( ! function_exists( 'wellness_coach_get_popular_title' ) ) :
/**
 * Display Popular
*/
function wellness_coach_get_popular_title(){
    return esc_html( get_theme_mod( 'popular_post_title', __( 'Popular Posts', 'wellness-coach-lite' ) ) );
}
endif;