<?php
/**
 * Service Two Section
 * 
 * @package Wellness_Coach_Lite
 */

$service_two_title 			= get_theme_mod( 'service_two_title', __( 'Services', 'wellness-coach-lite' ) );
$service_two_content 		= get_theme_mod( 'service_two_content' );
$service_button				= get_theme_mod( 'service_two_button', __( 'View All Services', 'wellness-coach-lite' ) );
$service_button_url			= get_theme_mod( 'service_two_button_url', __( '#', 'wellness-coach-lite' ) );

if( is_active_sidebar( 'service-two' ) ){ ?>
<section id="service_offer_section" class="service-offer-section">
	<?php if( $service_two_title || $service_two_content ) : ?>
		<header class="section-header">
			<div class="container">
				<?php if( $service_two_title ) echo '<h2 class="section-title">' . esc_html( $service_two_title ) . '</h2>'; ?>
				<?php if( $service_two_content ) echo '<div class="section-desc">' . esc_html( $service_two_content ) . '</div>'; ?>
			</div>
    	</header>
    <?php endif; ?>
    <div class="service-offer-sec__content-wrapper">
		<div class="container">
			<div class="section-grid layout-two">
	    		<?php dynamic_sidebar( 'service-two' ); ?>
	    	</div>
			<?php if( $service_button && $service_button_url ) : ?>
				<div class="section__button-wrapper">
					<a href="<?php echo esc_url( $service_button_url ); ?>" class="wc-btn wc-btn-two"><?php echo esc_html( $service_button ); ?></a>
				</div>
			<?php endif; ?>
    	</div>
    </div>
</section> <!-- .service-section -->
<?php
}